Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
pgAdmin4 fails to start.. [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo
View previous topic :: View next topic  
Author Message
CaptainBlood
Veteran
Veteran


Joined: 24 Jan 2010
Posts: 1104

PostPosted: Thu Jul 11, 2019 3:03 pm    Post subject: pgAdmin4 fails to start.. [solved] Reply with quote

Code:
pgAdmin4
Python path:  "/usr/lib64/python3.6/site-packages"
Python Home:  ""
Webapp path:  "/usr/share/pgadmin4/web/pgAdmin4.py"
"Failed to launch the application server, server thread exiting.
Thks 4 ur attention.

Last edited by CaptainBlood on Fri Jul 12, 2019 5:02 am; edited 1 time in total
Back to top
View user's profile Send private message
CaptainBlood
Veteran
Veteran


Joined: 24 Jan 2010
Posts: 1104

PostPosted: Fri Jul 12, 2019 5:01 am    Post subject: Reply with quote

For those minimising make.conf USE flag to "-* minimal", please consider minimal USE flag cancellation for dev-libs/libsodium package.
Thks 4 ur attention, interest & support.
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 13867

PostPosted: Sat Jul 13, 2019 12:50 am    Post subject: Reply with quote

Could you elaborate on that? Are you asking that dev-libs/libsodium cease use of the USE flag minimal? If so, why? Your reported error appears to be in a different package. If the problem is that pgAdmin needs features from dev-libs/libsodium that are disabled by USE=minimal, then the correct fix is for pgAdmin to depend on dev-libs/libsodium[-minimal] so that users are required to disable USE=minimal on dev-libs/libsodium before building pgAdmin, but can keep USE=minimal if they do not use pgAdmin.
Back to top
View user's profile Send private message
CaptainBlood
Veteran
Veteran


Joined: 24 Jan 2010
Posts: 1104

PostPosted: Wed Jul 17, 2019 5:46 am    Post subject: Reply with quote

Sorry for being unclear or even misleading...

make.conf USE flag def.:
Code:
USE="-*
asm
minimal"
and profile is expected to have minimized constraints as well:
Code:
 eselect profile list
Available profile symlink targets:
  [1]   default/linux/amd64/17.0 (stable) *

Doing so is against advised settings, and it has drawbacks, but it also help to:
1) Detect missing dependencies in portage.
2) Possibly reduces amount of installed packages, and attack surface as a whole.

To my opinion, one of the major drawback being the requirement of many trials and error to have package(s) build.

Focusing on minimal USE flag
Code:
equery hasuse minimal
 * Searching for USE flag minimal ...
[IP-] [  ] app-arch/tar-1.32:0
[IP-] [  ] app-editors/nano-4.2:0
[IP-] [  ] dev-db/unixODBC-2.3.5-r1:0
[IP-] [  ] dev-lang/spidermonkey-60.5.2_p0-r2:60
[IP-] [  ] dev-libs/libcdio-2.0.0-r1:0/18
[IP-] [  ] dev-libs/libsodium-1.0.16-r2:0/23
[IP-] [  ] dev-perl/Net-HTTP-6.170.0:0
[IP-] [  ] dev-perl/Try-Tiny-0.300.0:0
[IP-] [  ] dev-util/dialog-1.3.20170131:0/14
[IP-] [  ] media-libs/libsndfile-1.0.28-r4:0
[IP-] [  ] sys-apps/iproute2-4.19.0-r1:0
[IP-] [  ] sys-apps/miscfiles-1.5-r3:0
[IP-] [  ] sys-auth/pambase-20150213-r2:0
[IP-] [  ] sys-libs/ncurses-6.1-r2:0/6
[IP-] [  ] virtual/ssh-0:0
[IP-] [  ] x11-apps/xinit-1.4.0-r1:0
[IP-] [  ] x11-base/xorg-server-1.20.4:0/1.20.4
amd64 ~ # grep "\-minimal" /etc/portage/package.use/*
/etc/portage/package.use/ncurses.conf:sys-libs/ncurses -minimal
/etc/portage/package.use/pambase.conf:#sys-auth/pambase -minimal
/etc/portage/package.use/xorg-server.conf:x11-base/xorg-server -minimal
/etc/portage/package.use/libsodium.conf:dev-libs/libsodium -minimal
Actually I was trying to report that libsodium USE flag minimal should be set to -minimal, e.g.
Code:
USE="-minimal ..."
in order to have a working pgadmin, which nevertheless will build if minimal is activated, e.g.
Code:
USE="minimal ..."
I did report a bug in this regard, but forgot to reference the #. 15 mn later as I found out this libsodium setting issue, I couldn"t retrieve the bug page easily, as I wanted to flip its status to RESOLVED.
This is why I replied to my own post in this forum.

I don't know what is the policy for dev about checking the USE flags of package dependencies, e.g. are they supposed to check all required settings, or are they entitled to suppose default packages USE flags to be actived.

Thanks 4 ur attention, interest & support.
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 13867

PostPosted: Thu Jul 18, 2019 1:31 am    Post subject: Reply with quote

In my opinion, ebuild dependencies should be completely accurate with regard to USE flags. I don't necessarily expect the developers to test all combinations and catch requirements before posting the ebuild to git, but I think it is reasonable that, when someone finds a guaranteed-broken combination, then the developer should accept a bug report to change the ebuild to block that combination. This is the purpose of USE dependencies: expressing constraints that the user must satisfy for the package to build and run correctly.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum